RedCrawler API
Scrape V2

Bulk Profiles by Name V2

Bulk fetch user profiles by usernames. Up to 1500 usernames.

POST /api/v2/batch/profiles

Bulk fetch user profiles by usernames. Up to 1500 usernames.

Body parameters

NameTypeRequiredDescription
usernamesstringYesComma-separated Reddit usernames

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/batch/profiles" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"usernames": "<usernames>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/batch/profiles", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "usernames": "<usernames>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/batch/profiles"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "usernames": "<usernames>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "users": [
      {
        "redditorInfo": {
          "attributes": {
            "redditHandleInfo": {
              "displayName": "spez",
              "prefixedUsername": "u/spez",
              "username": "spez"
            },
            "redditorType": "USER",
            "verificationStatus": "PROFILE_VERIFIED"
          },
          "prefixedName": "u/spez"
        },
        "id": "t5_3k30p",
        "name": "u_spez",
        "styles": {
          "legacyIcon": {
            "url": "https://styles.redditmedia.com/t5_3k30p/styles/profileIcon_uj015iwx9s7g1.png?width=256&height=256&frame=1&auto=webp&crop=256:256,smart&s=b3afd3e423e96bcdc7e3c49d60a60a50dc2903aa"
          },
          "legacyPrimaryColor": null,
          "legacyBannerBackgroundImage": "https://b.thumbs.redditmedia.com/KWeEpVxXOGLoloMbM0IxGt9EiKPXizpwFgcSeWqtpZM.png",
          "icon": "https://styles.redditmedia.com/t5_3k30p/styles/profileIcon_uj015iwx9s7g1.png?width=64&height=64&frame=1&auto=webp&crop=64:64,smart&s=0af32bd27feadee648af9434f5d8ffa782225a45"
        },
        "title": "spez",
        "description": null,
        "publicDescriptionText": "Reddit CEO",
        "subscribersCount": 0,
        "createdAt": "2005-06-06T04:00:00.000000+0000",
        "path": "/user/spez/",
        "isNsfw": false,
        "whitelistStatus": "NO_ADS",
        "isQuarantined": false,
        "allowedPostTypes": [],
        "isSpoilerAvailable": true,
        "isUserBanned": false,
        "isContributor": false,
        "modPermissions": null,
        "isSubscribed": false,
        "isFavorite": false,
        "authorFlairSettings": {
          "isEnabled": true,
          "isSelfAssignable": false
        },
        "authorFlair": null,
        "postFlairSettings": {
          "isEnabled": true
        },
        "isCrosspostingAllowed": true
      },
      {
        "redditorInfo": {
          "attributes": {
            "redditHandleInfo": {
              "displayName": "Motor_Tip8865",
              "prefixedUsername": "u/Motor_Tip8865",
              "username": "Motor_Tip8865"
            },
            "redditorType": "USER",
            "verificationStatus": "NONE"
          },
          "prefixedName": "u/Motor_Tip8865"
        },
        "id": "t5_gstmfv",
        "name": "u_Motor_Tip8865",
        "styles": {
          "legacyIcon": {
            "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png"
          },
          "legacyPrimaryColor": null,
          "legacyBannerBackgroundImage": null,
          "icon": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png"
        },
        "title": "",
        "description": null,
        "publicDescriptionText": null,
        "subscribersCount": 0,
        "createdAt": "2026-03-07T07:27:33.029000+0000",
        "path": "/user/Motor_Tip8865/",
        "isNsfw": false,
        "whitelistStatus": "NO_ADS",
        "isQuarantined": false,
        "allowedPostTypes": [],
        "isSpoilerAvailable": true,
        "isUserBanned": false,
        "isContributor": false,
        "modPermissions": null,
        "isSubscribed": false,
        "isFavorite": false,
        "authorFlairSettings": {
          "isEnabled": true,
          "isSelfAssignable": false
        },
        "authorFlair": null,
        "postFlairSettings": {
          "isEnabled": true
        },
        "isCrosspostingAllowed": true
      }
    ],
    "count": 2,
    "errors": null
  },
  "error": null,
  "timestamp": "2026-04-29T16:31:30.122646+00:00"
}

On this page